gtkglext-0.12.1: Binding to the GTK+ OpenGL Extension

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.OpenGL.Drawable

Contents

- Class Hierarchy
- Types
- Methods

Description

OpenGL rendering surface interface

Synopsis

- data GLDrawable
- class GObjectClass o => GLDrawableClass o
- castToGLDrawable :: GObjectClass obj => obj -> GLDrawable
- toGLDrawable :: GLDrawableClass o => o -> GLDrawable
- glDrawableMakeCurrent :: GLDrawableClass self => self -> GLContext -> IO Bool
- glDrawableIsDoubleBuffered :: GLDrawableClass self => self -> IO Bool
- glDrawableSwapBuffers :: GLDrawableClass self => self -> IO ()
- glDrawableWaitGL :: GLDrawableClass self => self -> IO ()
- glDrawableWaitGdk :: GLDrawableClass self => self -> IO ()
- glDrawableGLBegin :: GLDrawableClass self => self -> GLContext -> IO Bool
- glDrawableGLEnd :: GLDrawableClass self => self -> IO ()
- glDrawableGetGLConfig :: GLDrawableClass self => self -> IO GLConfig
- glDrawableGetSize :: GLDrawableClass self => self -> IO (Int, Int)
- glDrawableGetCurrent :: IO (Maybe GLDrawable)

# Class Hierarchy

     | GObject
     | +----GLDrawable

# Types

data GLDrawable Source

Instances

Eq GLDrawable |
Ord GLDrawable |
GObjectClass GLDrawable |
GLDrawableClass GLDrawable |

class GObjectClass o => GLDrawableClass o Source

Instances

GLDrawableClass GLDrawable |
GLDrawableClass GLWindow |
GLDrawableClass GLPixmap |

castToGLDrawable :: GObjectClass obj => obj -> GLDrawable Source

toGLDrawable :: GLDrawableClass o => o -> GLDrawable Source

# Methods

glDrawableMakeCurrent Source

Arguments

:: GLDrawableClass self |
=> self |
-> GLContext |
-> IO Bool | returns `True` if it is successful, `False` otherwise.

Attach an OpenGL rendering context to a GL drawable.

glDrawableIsDoubleBuffered Source

Arguments

:: GLDrawableClass self |
=> self |
-> IO Bool | returns `True` if the double-buffered visual is supported, `False` otherwise.

Returns whether the GL drawable supports the double-buffered visual.

glDrawableSwapBuffers :: GLDrawableClass self => self -> IO ()Source

Exchange front and back buffers.

glDrawableWaitGL :: GLDrawableClass self => self -> IO ()Source

Complete OpenGL execution prior to subsequent Gdk drawing calls.

glDrawableWaitGdk :: GLDrawableClass self => self -> IO ()Source

Complete Gdk drawing execution prior to subsequent OpenGL calls.

glDrawableGLBegin Source

Arguments

:: GLDrawableClass self |
=> self |
-> GLContext | `glcontext` - a `GLContext`.
-> IO Bool | returns `True` if it is successful, `False` otherwise.

Delimits the begining of the OpenGL execution.

glDrawableGLEnd :: GLDrawableClass self => self -> IO ()Source

Delimits the end of the OpenGL execution.

glDrawableGetGLConfig :: GLDrawableClass self => self -> IO GLConfig Source

Gets `GLConfig` with which the GL drawable is configured.

glDrawableGetSize Source

Arguments

:: GLDrawableClass self |
=> self |

-> IO (Int, Int)

    (width, height)

Returns the width and height of the GL drawable.

glDrawableGetCurrent Source

Arguments

:: IO (Maybe GLDrawable) | returns the current `Drawable` or `Nothing` if there is no current drawable.

Returns the current `GLDrawable`.